#include <stdio.h>
#include <varargs.h>
#include "cform.h"

/****************************************************************************\
  Hoopy form - by mirk@cs.warwick.ac.uk
  hform is similar to sprintf except it returns a pointer to a static buffer.
\****************************************************************************/
char *hform (va_alist)
  va_dcl
{
  va_list pvar;
  char *fmt_string;
  static char result[LINELEN];

  va_start (pvar);
  fmt_string = va_arg (pvar, char*);
  (void) vsprintf (result, fmt_string, pvar);
  va_end (pvar);
  return (result);
}


